# Class RpcChannel.RpcCollector

java.lang.Object
org.apache.catalina.tribes.group.RpcChannel.RpcCollector

Enclosing class:
  `RpcChannel`

public static class RpcChannel.RpcCollector extends Object
Class that holds all response.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `int`
  `destcnt`
  `final RpcChannel.RpcCollectorKey`
  `key`
  `final int`
  `options`
  `final ArrayList<Response>`
  `responses`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RpcCollector(RpcChannel.RpcCollectorKey key, int options, int destcnt)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addResponse(Serializable message, Member sender)`
  `boolean`
  `equals(Object o)`
  `Response[]`
  `getResponses()`
  `int`
  `hashCode()`
  `boolean`
  `isComplete()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### responses

    public final ArrayList<Response> responses

  - ### key

    public final RpcChannel.RpcCollectorKey key

  - ### options

    public final int options

  - ### destcnt

    public int destcnt

- ## Constructor Details

  - ### RpcCollector

    public RpcCollector(RpcChannel.RpcCollectorKey key, int options, int destcnt)

- ## Method Details

  - ### addResponse

    public void addResponse(Serializable message, Member sender)

  - ### isComplete

    public boolean isComplete()

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### getResponses

    public Response[] getResponses()